XML::Feed::Enclosure(3pm)

NAME
XML::Feed::Enclosure - Wrapper for enclosure objects

SYNOPSIS
    my ($enclosure) = $entry->enclosure;
    print $enclosure->type;

DESCRIPTION
XML::Feed::Enclosure represents a content object in an XML::Feed::Entry entry in a syndication feed.

USAGE

  wrap
Take params and turn them into a XML::Feed::Enclosure object.

  new
A synonym for wrap.

  $enclosure->url
The url of the object.

  $enclosure->type
The MIME type of the item referred to in url.

  $enclosure->length
The length of object referred to in url

AUTHOR & COPYRIGHT
Please see the XML::Feed manpage for author, copyright, and license information.